  
/*
 Controlling a servo position using a potentiometer (variable resistor)
 by Michal Rinott <http://people.interaction-ivrea.it/m.rinott>

 modified on 8 Nov 2013
 by Scott Fitzgerald
 http://www.arduino.cc/en/Tutorial/Knob
*/

#include <Servo.h>

Servo myservo;  // create servo object to control a servo
Servo myservo2;
Servo myservo3;
Servo myservo4;
Servo myservo5;

const int potpin4 = 4;  // analog pin used to connect the flex resistor
const int potpin3 = 3;
const int potpin2 = 2;
const int potpin1 = 1;
const int potpin0 = 0;
int val0;    // variable to read the value from the analog pin
int val1;
int val2;
int val3;
int val4;

void setup() {
  Serial.begin(9600);
  myservo.attach(3);    // attaches the servo on pin 3 to the servo object, little
  myservo2.attach(4);  // ring
  myservo3.attach(5);   // middle
  myservo4.attach(6);   // index
  myservo5.attach(7);   // thumb
}

void loop() {
  val0 = analogRead(potpin0);             // reads the value of the potentiometer (value between 0 and 1023)
  val1 = analogRead(potpin1);
  val2 = analogRead(potpin2);
  val3 = analogRead(potpin3);
  val4 = analogRead(potpin4);
  //Serial.println(val);
  val0 = map(val0, 500, 650, 180, 90);     // scale it to use it with the servo (value between 0 and 180)
  val1 = map(val1, 500, 650, 180, 90);
  val2 = map(val2, 450, 600, 170, 90);
  val3 = map(val3, 500, 650, 60, 180);
  val4 = map(val4, 500, 650, 0, 180);
  myservo.write(val0);                  // sets the servo position according to the scaled value
  myservo2.write(val1);
  myservo3.write(val2);
  myservo4.write(val4);
  myservo5.write(val3);
  //Serial.println(val);
  delay(15);                           // waits for the servo to get there
}
